Đến nội dung


Hình ảnh
- - - - -

viết text theo đường cong


  • Please log in to reply
7 replies to this topic

#1 sumi

sumi

    biết lệnh array

  • Members
  • PipPipPip
  • 185 Bài viết
Điểm đánh giá: 55 (tàm tạm)

Đã gửi 27 December 2007 - 01:43 PM

mình đang use cad 2007,hôm trước mình có dùng lệnh viết text theo 1 đường cong,nhưng sao jờ lại ko viềt được,cad báo unknown,bó tay lun,
ai bit why thì làm ơn júp mình với
thanks
:)
  • 0
"Xin chào bạn. Đây là tổng đài tin nhắn. Ấn phím 1 để có 1 lời khen. Phím 2 cho một lời chúc tốt đẹp. Phím 3 cho 1 nụ hôn. Phím 4 cho 1 cuộc hẹn. Nếu muốn tất cả hãy bấm số của tôi"

#2 interwar1283

interwar1283

    biết dimcontinue

  • Vip
  • PipPipPipPipPip
  • 374 Bài viết
Điểm đánh giá: 211 (khá)

Đã gửi 27 December 2007 - 01:49 PM

mình đang use cad 2007,hôm trước mình có dùng lệnh viết text theo 1 đường cong,nhưng sao jờ lại ko viềt được,cad báo unknown,bó tay lun,
ai bit why thì làm ơn júp mình với
thanks
:)

unknown gì ? bạn ấn F2 xem nó báo những gì?
  • 0

#3 pikeman286

pikeman286

    biết dimdiameter

  • Members
  • PipPipPipPipPip
  • 337 Bài viết
Điểm đánh giá: 244 (khá)

Đã gửi 27 December 2007 - 01:49 PM

mình đang use cad 2007,hôm trước mình có dùng lệnh viết text theo 1 đường cong,nhưng sao jờ lại ko viềt được,cad báo unknown,bó tay lun,
ai bit why thì làm ơn júp mình với
thanks
:)

Lệnh bạn đang dùng là lệnh gì?Nói rõ hơn được không?
  • 0

#4 sumi

sumi

    biết lệnh array

  • Members
  • PipPipPip
  • 185 Bài viết
Điểm đánh giá: 55 (tàm tạm)

Đã gửi 27 December 2007 - 01:59 PM

cad báo :Unknown command "LL". Press F1 for help.
mình sử dụng lệnh "arctext" ,ko bit có phải minh gỏ sai lệnh ko,nhưmh lúc mới install cad mình vẫn use dc
  • 0
"Xin chào bạn. Đây là tổng đài tin nhắn. Ấn phím 1 để có 1 lời khen. Phím 2 cho một lời chúc tốt đẹp. Phím 3 cho 1 nụ hôn. Phím 4 cho 1 cuộc hẹn. Nếu muốn tất cả hãy bấm số của tôi"

#5 interwar1283

interwar1283

    biết dimcontinue

  • Vip
  • PipPipPipPipPip
  • 374 Bài viết
Điểm đánh giá: 211 (khá)

Đã gửi 27 December 2007 - 04:37 PM

cad báo :Unknown command "LL". Press F1 for help.
mình sử dụng lệnh "arctext" ,ko bit có phải minh gỏ sai lệnh ko,nhưmh lúc mới install cad mình vẫn use dc

Bạn dùng lệnh tắt là LL cho lệnh arctext ah. bạn có dùng Lisp gì không, hay sửa lệnh sai ?
  • 0

#6 thoclep

thoclep

    biết lệnh offset

  • Members
  • PipPipPip
  • 170 Bài viết
Điểm đánh giá: 142 (tàm tạm)

Đã gửi 27 December 2007 - 11:30 PM

mình đang use cad 2007,hôm trước mình có dùng lệnh viết text theo 1 đường cong,nhưng sao jờ lại ko viềt được,cad báo unknown,bó tay lun,
ai bit why thì làm ơn júp mình với
thanks
:)

Bạn những bước sau:
- Bạn vào aliasedit kiểm tra xem lệnh ll bạn đặt còn không?Không còn => đặt lại. Còn, cad của bạn bị lỗi.Bạn tắt cad đi, khởi động lại rồi vào open mở file bv của bạn=>sử dụng lệnh trên=>Vẫn lỗi. Cad của bạn bị lỗi, nên cài lại. OK
Mình dùng cad5, hay bị như bạn (nguyên nhân do máy bị nhiểm virus) rồi cũng làm như trên và đều ok. Chúc bạn thành công!
  • 0

#7 sumi

sumi

    biết lệnh array

  • Members
  • PipPipPip
  • 185 Bài viết
Điểm đánh giá: 55 (tàm tạm)

Đã gửi 28 December 2007 - 12:30 PM

Bạn dùng lệnh tắt là LL cho lệnh arctext ah. bạn có dùng Lisp gì không, hay sửa lệnh sai ?

mình đã bỏ lệnh tắt rùi và dùng lệnh ARCTEXT nhưng vẫn ko dc,bó tay lun,chắc là nó bị lỗi như bạn THOCLEP nói rùi,
cảm ơn các bạn đã chia sẻ,mình đang cần lệnh này thì nó lai bị lỗi,bó tay lun
ko bit mình có thể sử dụng lisp ko nhỉ
  • 0
"Xin chào bạn. Đây là tổng đài tin nhắn. Ấn phím 1 để có 1 lời khen. Phím 2 cho một lời chúc tốt đẹp. Phím 3 cho 1 nụ hôn. Phím 4 cho 1 cuộc hẹn. Nếu muốn tất cả hãy bấm số của tôi"

#8 minh2453

minh2453

    biết lệnh scale

  • Members
  • PipPipPip
  • 146 Bài viết
Điểm đánh giá: 42 (tàm tạm)

Đã gửi 29 July 2008 - 12:06 AM

Cái này là do em sưu tập đc, chứ ko viết đc đâu.Thử xem thế nào
(defun C:CT(/ str cen rd len cnt angl deltal deltat deltax tx)
(setvar "cmdecho" 0)
(setq str(getstring T "\n \n \nString: ")
cen(getpoint "\nCenter of Circle: ")
rd(getdist cen "\nRadius of Circle: ")
len(strlen str)
cnt 1
angl(* pi (/ (-(+ 90.0 (* 10.0 (/ len 2.0))) 5.0)180.0))
)
(setq deltal 10.0 deltat (/ pi 2.0) deltax 0)
(initget 1 "T t B b")
(setq tb(strcase(getkword "\nText at Top or Bottom of Circle? T/B: ")))
(if(= tb "B")
(setq deltal -10.0
deltat(- deltat(- deltat deltat))
angl(+ angl(/ pi 2.0))
angl(+ angl(* pi (/ 10.0 180.0)))
deltax pi
)
)
(repeat len
(progn
(setq tx(substr str cnt 1))
(command "text" "J" "MC" (polar cen angl rd) "" (angtos(+ deltax(- angl deltat))1 4) tx)
(setq angl(- angl(* pi (/ deltal 180.0))) cnt(+ cnt 1))
)
)
(setvar "cmdecho" 1)
(princ)
)

  • 0
Đừng giấu những gì bạn biết và những thứ bạn không biết